Skip to main content
POST
/
media
/
{merchant_id}
/
upload_media_from_url
Error
A valid request URL is required to generate request examples
{
  "__typename": "MediaImage",
  "id": "<string>",
  "fileErrors": [
    {
      "details": "<string>",
      "message": "<string>"
    }
  ],
  "alt": "<string>",
  "image": {
    "altText": "<string>",
    "height": 123,
    "id": "<string>",
    "url": "<unknown>",
    "width": 123
  }
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

merchant_id
string
required

Query Parameters

url
string
required
media_type
enum<string>
required
Available options:
image,
video
collection_id
string | null

The collection in which the merchant is when uploading the media. Used to determine the related collections.

alt_text
string | null

Alt text for the uploaded file

Response

Successful Response

__typename
enum<string>
required
Available options:
MediaImage
Allowed value: "MediaImage"
id
string
required
fileStatus
enum<string>
required
Available options:
UPLOADED,
PROCESSING,
READY,
FAILED
fileErrors
GetMediaInfoNodeMediaImageFileErrors · object[]
required
mediaContentType
enum<string>
required
Available options:
VIDEO,
EXTERNAL_VIDEO,
MODEL_3D,
IMAGE
alt
string | null
required
image
GetMediaInfoNodeMediaImageImage · object | null
required